Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361632 - Review Request: python-blowfish - Fast, efficient Blowfish cipher implementation in pure Python (3.4+)
Summary: Review Request: python-blowfish - Fast, efficient Blowfish cipher implementat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 15:02 UTC by Gwyn Ciesla
Modified: 2016-10-12 23:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-12 18:59:24 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)

Description Gwyn Ciesla 2016-07-29 15:02:57 UTC
Description: Fast, efficient Blowfish cipher implementation in pure Python (3.4+).

SRPM: https://fedorapeople.org/~limb/review/python-blowfish/python-blowfish-0.6.1-1.fc24.src.rpm
SPEC: https://fedorapeople.org/~limb/review/python-blowfish/python-blowfish.spec

Comment 1 Raphael Groner 2016-08-06 16:21:17 UTC
You may want to remove python version from summary. It's useless to mention with a version already in package name.

Why relicense?
> #crypt_blowfish code is in Public domain and all other code in ASL 2.0
> License:            GPLv3+

Comment 2 Gwyn Ciesla 2016-08-08 14:24:40 UTC
Whoops, copypaste.  Ignore that, spec updated. :)

Comment 3 Mario Blättermann 2016-08-20 16:56:07 UTC
The spec file still says GPLv3+...?

Comment 4 Gwyn Ciesla 2016-08-22 14:47:26 UTC
That's the correct license tag.

Comment 5 Dusty Mabe 2016-08-24 22:42:23 UTC
I am not an approved packager yet so this review by me is purely academic. You'll have to rely on someone else to review before you can submit it. Here is my review:


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/vagrant/foo/1361632-python-blowfish/licensecheck.txt

DWM: Doesn't matter for this review since the files aren't included in
     the rpm but it might be nice if the upstream could include the license
     statement in each of the source files.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-blowfish-0.6.1-1.fc24.noarch.rpm
          python-blowfish-0.6.1-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



pretty clean package review from what I can tell

Comment 6 Gwyn Ciesla 2016-08-25 13:14:51 UTC
Thanks for taking a look!  If you have a review and are in need of a sponsor, let me know and I can take a look.

Comment 7 Dusty Mabe 2016-08-29 02:47:13 UTC
(In reply to Jon Ciesla from comment #6)
> Thanks for taking a look!  If you have a review and are in need of a
> sponsor, let me know and I can take a look.

thanks! I just got sponsored so I'm good.

Comment 8 Gwyn Ciesla 2016-08-29 13:01:42 UTC
Nice!  If you'd like, you could take ownership of this review and approve it.

Comment 9 Raphael Groner 2016-10-02 20:08:01 UTC
As of results in comment #5, I'll approve here.

Comment 10 Gwyn Ciesla 2016-10-03 13:52:55 UTC
Thank you!

Comment 11 Gwyn Ciesla 2016-10-03 13:58:27 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-blowfish

Comment 12 Fedora Update System 2016-10-05 01:55:27 UTC
python-blowfish-0.6.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-857cd7babf

Comment 13 Fedora Update System 2016-10-05 02:26:39 UTC
python-blowfish-0.6.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b278118dc

Comment 14 Fedora Update System 2016-10-12 18:59:24 UTC
python-blowfish-0.6.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-10-12 23:23:10 UTC
python-blowfish-0.6.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.